type TaskComment @table(name: "task_comments") {
  id: UUID! @default(expr: "uuidV4()")

  taskId: UUID!

  teamMemberId: UUID!
  teamMember: TeamMember! @ref(fields: "teamMemberId", references: "id")
  
  comment: String!
  isSystem: Boolean! @default(expr: "false")
  
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
